Debian Bug report logs - #599441
2.6.36: please re-enable crypto algorithm self-tests

version graph

Package: linux-image-2.6.36-rc6-686; Maintainer for linux-image-2.6.36-rc6-686 is (unknown);

Reported by: "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>

Date: Thu, 7 Oct 2010 16:06:02 UTC

Severity: wishlist

Found in version linux-2.6/2.6.36~rc6-1~experimental.1

Fixed in version linux-2.6/2.6.36-1~experimental.1

Done: maximilian attems <max@stro.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599441; Package linux-image-2.6.36-rc6-686. (Thu, 07 Oct 2010 16:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 07 Oct 2010 16:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>
To: submit@bugs.debian.org
Subject: 2.6.36: please re-enable crypto algorithm self-tests
Date: Thu, 7 Oct 2010 18:03:02 +0200
[Message part 1 (text/plain, inline)]
Package: linux-image-2.6.36-rc6-686
Version: 2.6.36~rc6-1~experimental.1
Severity: wishlist

Hello,

somewhere in .36 upstream changed the logic for the internal selftests
of crypto algorithms from: CONFIG_CRYPTO_MANAGER_TESTS=y to:
CONFIG_CRYPTO_MANAGER_DISABLE_TESTS=y
i.e. crypto algorithms now default to not being tested on initialization
against the patterns they provide.

While this might be okay for self-compiled kernels that run on a well
known hardware, I personally think (re)enabling these tests would be a
way safer default for a distribution kernel which runs on lots of
different hardware setups (mostly unknown to those who build the
kernel).


Thanks for your work & best regards
   Mario
-- 
Selbst im Hirn des weisesten Mannes gibt es einen toerichten Winkel.
                                                      -- Aristoteles
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Sun, 10 Oct 2010 15:33:08 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <max@stro.at>:
You have taken responsibility. (Thu, 28 Oct 2010 11:27:19 GMT) Full text and rfc822 format available.

Notification sent to "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>:
Bug acknowledged by developer. (Thu, 28 Oct 2010 11:27:19 GMT) Full text and rfc822 format available.

Message #12 received at 599441-close@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: 599441-close@bugs.debian.org
Subject: Bug#599441: fixed in linux-2.6 2.6.36-1~experimental.1
Date: Thu, 28 Oct 2010 11:23:37 +0000
Source: linux-2.6
Source-Version: 2.6.36-1~experimental.1

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.36-1~experimental.1_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.36-1~experimental.1_all.deb
linux-2.6_2.6.36-1~experimental.1.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.36-1~experimental.1.diff.gz
linux-2.6_2.6.36-1~experimental.1.dsc
  to main/l/linux-2.6/linux-2.6_2.6.36-1~experimental.1.dsc
linux-2.6_2.6.36.orig.tar.gz
  to main/l/linux-2.6/linux-2.6_2.6.36.orig.tar.gz
linux-base_2.6.36-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-base_2.6.36-1~experimental.1_all.deb
linux-doc-2.6.36_2.6.36-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-doc-2.6.36_2.6.36-1~experimental.1_all.deb
linux-headers-2.6.36-trunk-all-amd64_2.6.36-1~experimental.1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.36-trunk-all-amd64_2.6.36-1~experimental.1_amd64.deb
linux-headers-2.6.36-trunk-all_2.6.36-1~experimental.1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.36-trunk-all_2.6.36-1~experimental.1_amd64.deb
linux-headers-2.6.36-trunk-amd64_2.6.36-1~experimental.1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.36-trunk-amd64_2.6.36-1~experimental.1_amd64.deb
linux-headers-2.6.36-trunk-common_2.6.36-1~experimental.1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.36-trunk-common_2.6.36-1~experimental.1_amd64.deb
linux-image-2.6.36-trunk-amd64-dbg_2.6.36-1~experimental.1_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.36-trunk-amd64-dbg_2.6.36-1~experimental.1_amd64.deb
linux-image-2.6.36-trunk-amd64_2.6.36-1~experimental.1_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.36-trunk-amd64_2.6.36-1~experimental.1_amd64.deb
linux-libc-dev_2.6.36-1~experimental.1_amd64.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.36-1~experimental.1_amd64.deb
linux-manual-2.6.36_2.6.36-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-manual-2.6.36_2.6.36-1~experimental.1_all.deb
linux-patch-debian-2.6.36_2.6.36-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.36_2.6.36-1~experimental.1_all.deb
linux-source-2.6.36_2.6.36-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-source-2.6.36_2.6.36-1~experimental.1_all.deb
linux-support-2.6.36-trunk_2.6.36-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-support-2.6.36-trunk_2.6.36-1~experimental.1_all.deb
linux-tools-2.6.36_2.6.36-1~experimental.1_amd64.deb
  to main/l/linux-2.6/linux-tools-2.6.36_2.6.36-1~experimental.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 599441@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <max@stro.at> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 27 Oct 2010 13:23:11 +0200
Source: linux-2.6
Binary: linux-tools-2.6.36 linux-source-2.6.36 linux-doc-2.6.36 linux-manual-2.6.36 linux-patch-debian-2.6.36 firmware-linux-free linux-support-2.6.36-trunk linux-base linux-libc-dev linux-headers-2.6.36-trunk-all linux-headers-2.6.36-trunk-all-alpha linux-headers-2.6.36-trunk-common linux-image-2.6.36-trunk-alpha-generic linux-headers-2.6.36-trunk-alpha-generic linux-image-2.6.36-trunk-alpha-smp linux-headers-2.6.36-trunk-alpha-smp linux-image-2.6.36-trunk-alpha-legacy linux-headers-2.6.36-trunk-alpha-legacy linux-headers-2.6.36-trunk-all-amd64 linux-image-2.6.36-trunk-amd64 linux-headers-2.6.36-trunk-amd64 linux-image-2.6.36-trunk-amd64-dbg linux-headers-2.6.36-trunk-all-armel linux-image-2.6.36-trunk-iop32x linux-headers-2.6.36-trunk-iop32x linux-image-2.6.36-trunk-ixp4xx linux-headers-2.6.36-trunk-ixp4xx linux-image-2.6.36-trunk-kirkwood linux-headers-2.6.36-trunk-kirkwood linux-image-2.6.36-trunk-orion5x linux-headers-2.6.36-trunk-orion5x
 linux-image-2.6.36-trunk-versatile linux-headers-2.6.36-trunk-versatile linux-headers-2.6.36-trunk-all-hppa linux-image-2.6.36-trunk-parisc linux-headers-2.6.36-trunk-parisc linux-image-2.6.36-trunk-parisc-smp linux-headers-2.6.36-trunk-parisc-smp linux-image-2.6.36-trunk-parisc64 linux-headers-2.6.36-trunk-parisc64 linux-image-2.6.36-trunk-parisc64-smp linux-headers-2.6.36-trunk-parisc64-smp linux-headers-2.6.36-trunk-all-i386 linux-image-2.6.36-trunk-486 linux-headers-2.6.36-trunk-486 linux-image-2.6.36-trunk-686 linux-headers-2.6.36-trunk-686 linux-image-2.6.36-trunk-686-bigmem linux-headers-2.6.36-trunk-686-bigmem linux-image-2.6.36-trunk-686-bigmem-dbg linux-headers-2.6.36-trunk-all-ia64 linux-image-2.6.36-trunk-itanium linux-headers-2.6.36-trunk-itanium linux-image-2.6.36-trunk-mckinley linux-headers-2.6.36-trunk-mckinley linux-headers-2.6.36-trunk-all-m68k linux-image-2.6.36-trunk-amiga linux-headers-2.6.36-trunk-amiga linux-image-2.6.36-trunk-atari
 linux-headers-2.6.36-trunk-atari linux-image-2.6.36-trunk-bvme6000 linux-headers-2.6.36-trunk-bvme6000 linux-image-2.6.36-trunk-mac linux-headers-2.6.36-trunk-mac linux-image-2.6.36-trunk-mvme147 linux-headers-2.6.36-trunk-mvme147 linux-image-2.6.36-trunk-mvme16x linux-headers-2.6.36-trunk-mvme16x linux-headers-2.6.36-trunk-all-mips linux-image-2.6.36-trunk-r4k-ip22 linux-headers-2.6.36-trunk-r4k-ip22 linux-image-2.6.36-trunk-r5k-ip32 linux-headers-2.6.36-trunk-r5k-ip32 linux-image-2.6.36-trunk-sb1-bcm91250a linux-headers-2.6.36-trunk-sb1-bcm91250a linux-image-2.6.36-trunk-sb1a-bcm91480b linux-headers-2.6.36-trunk-sb1a-bcm91480b linux-image-2.6.36-trunk-4kc-malta linux-headers-2.6.36-trunk-4kc-malta linux-image-2.6.36-trunk-5kc-malta linux-headers-2.6.36-trunk-5kc-malta linux-image-2.6.36-trunk-octeon linux-headers-2.6.36-trunk-octeon linux-headers-2.6.36-trunk-all-mipsel linux-image-2.6.36-trunk-r5k-cobalt linux-headers-2.6.36-trunk-r5k-cobalt
 linux-image-2.6.36-trunk-loongson-2f linux-headers-2.6.36-trunk-loongson-2f linux-headers-2.6.36-trunk-all-powerpc linux-image-2.6.36-trunk-powerpc linux-headers-2.6.36-trunk-powerpc linux-image-2.6.36-trunk-powerpc-smp linux-headers-2.6.36-trunk-powerpc-smp linux-image-2.6.36-trunk-powerpc64 linux-headers-2.6.36-trunk-powerpc64 linux-headers-2.6.36-trunk-all-s390 linux-image-2.6.36-trunk-s390x linux-headers-2.6.36-trunk-s390x linux-image-2.6.36-trunk-s390x-tape linux-headers-2.6.36-trunk-all-sh4 linux-image-2.6.36-trunk-sh7751r linux-headers-2.6.36-trunk-sh7751r linux-image-2.6.36-trunk-sh7785lcr linux-headers-2.6.36-trunk-sh7785lcr linux-headers-2.6.36-trunk-all-sparc linux-image-2.6.36-trunk-sparc64 linux-headers-2.6.36-trunk-sparc64 linux-image-2.6.36-trunk-sparc64-smp linux-headers-2.6.36-trunk-sparc64-smp
 linux-headers-2.6.36-trunk-all-sparc64
Architecture: source all amd64
Version: 2.6.36-1~experimental.1
Distribution: experimental
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <max@stro.at>
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.36 - Linux kernel specific documentation for version 2.6.36
 linux-headers-2.6.36-trunk-486 - Header files for Linux 2.6.36-trunk-486
 linux-headers-2.6.36-trunk-4kc-malta - Header files for Linux 2.6.36-trunk-4kc-malta
 linux-headers-2.6.36-trunk-5kc-malta - Header files for Linux 2.6.36-trunk-5kc-malta
 linux-headers-2.6.36-trunk-686 - Header files for Linux 2.6.36-trunk-686
 linux-headers-2.6.36-trunk-686-bigmem - Header files for Linux 2.6.36-trunk-686-bigmem
 linux-headers-2.6.36-trunk-all - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-alpha - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-amd64 - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-armel - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-hppa - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-i386 - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-ia64 - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-m68k - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-mips - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-mipsel - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-powerpc - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-s390 - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-sh4 - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-sparc - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-all-sparc64 - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-trunk-alpha-generic - Header files for Linux 2.6.36-trunk-alpha-generic
 linux-headers-2.6.36-trunk-alpha-legacy - Header files for Linux 2.6.36-trunk-alpha-legacy
 linux-headers-2.6.36-trunk-alpha-smp - Header files for Linux 2.6.36-trunk-alpha-smp
 linux-headers-2.6.36-trunk-amd64 - Header files for Linux 2.6.36-trunk-amd64
 linux-headers-2.6.36-trunk-amiga - Header files for Linux 2.6.36-trunk-amiga
 linux-headers-2.6.36-trunk-atari - Header files for Linux 2.6.36-trunk-atari
 linux-headers-2.6.36-trunk-bvme6000 - Header files for Linux 2.6.36-trunk-bvme6000
 linux-headers-2.6.36-trunk-common - Common header files for Linux 2.6.36-trunk
 linux-headers-2.6.36-trunk-iop32x - Header files for Linux 2.6.36-trunk-iop32x
 linux-headers-2.6.36-trunk-itanium - Header files for Linux 2.6.36-trunk-itanium
 linux-headers-2.6.36-trunk-ixp4xx - Header files for Linux 2.6.36-trunk-ixp4xx
 linux-headers-2.6.36-trunk-kirkwood - Header files for Linux 2.6.36-trunk-kirkwood
 linux-headers-2.6.36-trunk-loongson-2f - Header files for Linux 2.6.36-trunk-loongson-2f
 linux-headers-2.6.36-trunk-mac - Header files for Linux 2.6.36-trunk-mac
 linux-headers-2.6.36-trunk-mckinley - Header files for Linux 2.6.36-trunk-mckinley
 linux-headers-2.6.36-trunk-mvme147 - Header files for Linux 2.6.36-trunk-mvme147
 linux-headers-2.6.36-trunk-mvme16x - Header files for Linux 2.6.36-trunk-mvme16x
 linux-headers-2.6.36-trunk-octeon - Header files for Linux 2.6.36-trunk-octeon
 linux-headers-2.6.36-trunk-orion5x - Header files for Linux 2.6.36-trunk-orion5x
 linux-headers-2.6.36-trunk-parisc - Header files for Linux 2.6.36-trunk-parisc
 linux-headers-2.6.36-trunk-parisc-smp - Header files for Linux 2.6.36-trunk-parisc-smp
 linux-headers-2.6.36-trunk-parisc64 - Header files for Linux 2.6.36-trunk-parisc64
 linux-headers-2.6.36-trunk-parisc64-smp - Header files for Linux 2.6.36-trunk-parisc64-smp
 linux-headers-2.6.36-trunk-powerpc - Header files for Linux 2.6.36-trunk-powerpc
 linux-headers-2.6.36-trunk-powerpc-smp - Header files for Linux 2.6.36-trunk-powerpc-smp
 linux-headers-2.6.36-trunk-powerpc64 - Header files for Linux 2.6.36-trunk-powerpc64
 linux-headers-2.6.36-trunk-r4k-ip22 - Header files for Linux 2.6.36-trunk-r4k-ip22
 linux-headers-2.6.36-trunk-r5k-cobalt - Header files for Linux 2.6.36-trunk-r5k-cobalt
 linux-headers-2.6.36-trunk-r5k-ip32 - Header files for Linux 2.6.36-trunk-r5k-ip32
 linux-headers-2.6.36-trunk-s390x - Header files for Linux 2.6.36-trunk-s390x
 linux-headers-2.6.36-trunk-sb1-bcm91250a - Header files for Linux 2.6.36-trunk-sb1-bcm91250a
 linux-headers-2.6.36-trunk-sb1a-bcm91480b - Header files for Linux 2.6.36-trunk-sb1a-bcm91480b
 linux-headers-2.6.36-trunk-sh7751r - Header files for Linux 2.6.36-trunk-sh7751r
 linux-headers-2.6.36-trunk-sh7785lcr - Header files for Linux 2.6.36-trunk-sh7785lcr
 linux-headers-2.6.36-trunk-sparc64 - Header files for Linux 2.6.36-trunk-sparc64
 linux-headers-2.6.36-trunk-sparc64-smp - Header files for Linux 2.6.36-trunk-sparc64-smp
 linux-headers-2.6.36-trunk-versatile - Header files for Linux 2.6.36-trunk-versatile
 linux-image-2.6.36-trunk-486 - Linux 2.6.36 for old PCs
 linux-image-2.6.36-trunk-4kc-malta - Linux 2.6.36 for MIPS Malta
 linux-image-2.6.36-trunk-5kc-malta - Linux 2.6.36 for MIPS Malta (64-bit)
 linux-image-2.6.36-trunk-686 - Linux 2.6.36 for modern PCs
 linux-image-2.6.36-trunk-686-bigmem - Linux 2.6.36 for PCs with 4GB+ RAM
 linux-image-2.6.36-trunk-686-bigmem-dbg - Debugging infos for Linux 2.6.36-trunk-686-bigmem
 linux-image-2.6.36-trunk-alpha-generic - Linux 2.6.36 for Alpha
 linux-image-2.6.36-trunk-alpha-legacy - Linux 2.6.36 for Alpha Legacy
 linux-image-2.6.36-trunk-alpha-smp - Linux 2.6.36 for Alpha SMP
 linux-image-2.6.36-trunk-amd64 - Linux 2.6.36 for 64-bit PCs
 linux-image-2.6.36-trunk-amd64-dbg - Debugging infos for Linux 2.6.36-trunk-amd64
 linux-image-2.6.36-trunk-amiga - Linux 2.6.36 for Amiga
 linux-image-2.6.36-trunk-atari - Linux 2.6.36 for Atari
 linux-image-2.6.36-trunk-bvme6000 - Linux 2.6.36 for BVM BVME4000 and BVME6000
 linux-image-2.6.36-trunk-iop32x - Linux 2.6.36 for IOP32x
 linux-image-2.6.36-trunk-itanium - Linux 2.6.36 for Itanium
 linux-image-2.6.36-trunk-ixp4xx - Linux 2.6.36 for IXP4xx
 linux-image-2.6.36-trunk-kirkwood - Linux 2.6.36 for Marvell Kirkwood
 linux-image-2.6.36-trunk-loongson-2f - Linux 2.6.36 for Loongson 2F
 linux-image-2.6.36-trunk-mac - Linux 2.6.36 for Macintosh
 linux-image-2.6.36-trunk-mckinley - Linux 2.6.36 for Itanium II
 linux-image-2.6.36-trunk-mvme147 - Linux 2.6.36 for Motorola MVME147
 linux-image-2.6.36-trunk-mvme16x - Linux 2.6.36 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.36-trunk-octeon - Linux 2.6.36 for Octeon
 linux-image-2.6.36-trunk-orion5x - Linux 2.6.36 for Marvell Orion
 linux-image-2.6.36-trunk-parisc - Linux 2.6.36 for 32-bit PA-RISC
 linux-image-2.6.36-trunk-parisc-smp - Linux 2.6.36 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.36-trunk-parisc64 - Linux 2.6.36 for 64-bit PA-RISC
 linux-image-2.6.36-trunk-parisc64-smp - Linux 2.6.36 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.36-trunk-powerpc - Linux 2.6.36 for uniprocessor 32-bit PowerPC
 linux-image-2.6.36-trunk-powerpc-smp - Linux 2.6.36 for multiprocessor 32-bit PowerPC
 linux-image-2.6.36-trunk-powerpc64 - Linux 2.6.36 for 64-bit PowerPC
 linux-image-2.6.36-trunk-r4k-ip22 - Linux 2.6.36 for SGI IP22
 linux-image-2.6.36-trunk-r5k-cobalt - Linux 2.6.36 for Cobalt
 linux-image-2.6.36-trunk-r5k-ip32 - Linux 2.6.36 for SGI IP32
 linux-image-2.6.36-trunk-s390x - Linux 2.6.36 for IBM zSeries
 linux-image-2.6.36-trunk-s390x-tape - Linux 2.6.36 for IBM zSeries, IPL from tape
 linux-image-2.6.36-trunk-sb1-bcm91250a - Linux 2.6.36 for BCM91250A
 linux-image-2.6.36-trunk-sb1a-bcm91480b - Linux 2.6.36 for BCM91480B
 linux-image-2.6.36-trunk-sh7751r - Linux 2.6.36 for sh7751r
 linux-image-2.6.36-trunk-sh7785lcr - Linux 2.6.36 for sh7785lcr
 linux-image-2.6.36-trunk-sparc64 - Linux 2.6.36 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.36-trunk-sparc64-smp - Linux 2.6.36 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.36-trunk-versatile - Linux 2.6.36 for Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.36 - Linux kernel API manual pages for version 2.6.36
 linux-patch-debian-2.6.36 - Debian patches to version 2.6.36 of the Linux kernel
 linux-source-2.6.36 - Linux kernel source for version 2.6.36 with Debian patches
 linux-support-2.6.36-trunk - Support files for Linux 2.6.36
 linux-tools-2.6.36 - Performance analysis tools for Linux 2.6.36
Closes: 598503 598533 599441 599444 599465 599466 599624 600528
Changes: 
 linux-2.6 (2.6.36-1~experimental.1) experimental; urgency=low
 .
   * New upstream release: http://kernelnewbies.org/Linux_2_6_36
     - writeback: always use sb->s_bdi for writeback purposes (Closes: #599466)
     - i7core_edac: fix panic in udimm sysfs attributes registration
       (Closes: #600528)
 .
   [ Ben Hutchings ]
   * qla4xxx: Fix build on some architectures lacking 64-bit I/O
     (Closes: #598503)
   * [x86] Enable modular TM6000, TM6000_ALSA, TM6000_DVB
   * [x86] Staging: fix Makefile so brcm80211 will actually build
     (Closes: #599465)
   * [x86] Enable modular IDEAPAD_ACPI (Closes: #599444)
   * perf: Enable Perl and Python scripting
     - Move scripts to /usr/share/perf_<version>-core (Closes: #599624)
   * crypto: Explicitly enable algorithm self-tests (Closes: #599441)
   * [x86] Skip looking for ioapic overrides when ioapics are not present
     (Closes: #598533)
   * [x86] ata_piix: Add device ID for ICH4-L
   * [armel/iop32x,ia64,x86] Disable BLK_DEV_PIIX as obsolete
   * [amd64] Disable DRM_I810; i81x chipsets do not support 64-bit processors
   * [x86] Disable DRM_I830; the i915 driver is now used instead
 .
   [ Martin Michlmayr ]
   * Kirkwood: restrict the scope of the PCIe reset workaround
Checksums-Sha1: 
 8793316576f174473b1a11021c7c79cf006d0379 5571 linux-2.6_2.6.36-1~experimental.1.dsc
 d667808c6280ac173a6769d279edb98d83c5beba 88880578 linux-2.6_2.6.36.orig.tar.gz
 6689b964fb41f7bde39526bc2252ba03371cf446 1099145 linux-2.6_2.6.36-1~experimental.1.diff.gz
 1d2dae29d484572ec43df30cddfcbe5a046fa65b 6445532 linux-doc-2.6.36_2.6.36-1~experimental.1_all.deb
 578f58bdd9a10c0d4f19f2a768d542f7ea53f3ed 2859222 linux-manual-2.6.36_2.6.36-1~experimental.1_all.deb
 0f87b84a99cbaf04908934340199c3594b97b9df 775128 linux-patch-debian-2.6.36_2.6.36-1~experimental.1_all.deb
 c3ff2937fd09cf21a0208a24e813fdd7b28eba21 70141994 linux-source-2.6.36_2.6.36-1~experimental.1_all.deb
 b64f7d312760f98034327e8ec71d18a2d11498a8 148348 linux-support-2.6.36-trunk_2.6.36-1~experimental.1_all.deb
 34f23becc732787ae6c5f03db14651965af53652 137458 firmware-linux-free_2.6.36-1~experimental.1_all.deb
 517eed71bda60f597ce1d821e1a8fda48cfe9b62 156076 linux-base_2.6.36-1~experimental.1_all.deb
 a9f6d79316c0307cdc1d67ccb05ebed32375756d 29258308 linux-image-2.6.36-trunk-amd64_2.6.36-1~experimental.1_amd64.deb
 203281067e04db60bf5b74138dd3b5ca2f96c3e9 404867660 linux-image-2.6.36-trunk-amd64-dbg_2.6.36-1~experimental.1_amd64.deb
 5b96c56bd84a80040e83bf13b72acaad5a336f88 553282 linux-headers-2.6.36-trunk-amd64_2.6.36-1~experimental.1_amd64.deb
 c3c6e806f7ee67998a72826bc1500efc13447da3 4174410 linux-headers-2.6.36-trunk-common_2.6.36-1~experimental.1_amd64.deb
 b3812a85a4b2ca02f0c3adb16781e48ca1b2ab06 132802 linux-headers-2.6.36-trunk-all_2.6.36-1~experimental.1_amd64.deb
 bf050c96b36a65ac5da1dd2bd8d31393d8af8f18 132808 linux-headers-2.6.36-trunk-all-amd64_2.6.36-1~experimental.1_amd64.deb
 7080d3a5002320d57f487b45f8cb021422aa1751 862190 linux-libc-dev_2.6.36-1~experimental.1_amd64.deb
 771bb973c7087cc0e697215696f48cf449a99212 411908 linux-tools-2.6.36_2.6.36-1~experimental.1_amd64.deb
Checksums-Sha256: 
 4ce97274f7c4a91b0961d4b2cbdf116a7421914d39e5bbfaca92ffa42bb4a3ea 5571 linux-2.6_2.6.36-1~experimental.1.dsc
 7802252c73d79a533c4d8a6ed581cec82853efff367e46d14ed640107c567381 88880578 linux-2.6_2.6.36.orig.tar.gz
 474734a5a8887e82c97fadc72d293f976a230a3810a4b7e63988b03270b28335 1099145 linux-2.6_2.6.36-1~experimental.1.diff.gz
 90eba56850784af5426e8adcc9d16498d7d6e9094ce7f216b03ddc8a5855c8e5 6445532 linux-doc-2.6.36_2.6.36-1~experimental.1_all.deb
 97b24049cf8ec549c0745c289bce90c064f293666cc82db0b576d6a540a10205 2859222 linux-manual-2.6.36_2.6.36-1~experimental.1_all.deb
 1265de8e8dc3cda1cfc4a32f100d22f8f8199a2066a37aba3bb1c4b0e871bf0b 775128 linux-patch-debian-2.6.36_2.6.36-1~experimental.1_all.deb
 0dabfaafceb5fa088ccc3d082abe51d5125d491801d7a8872215fc7e82ad8f4e 70141994 linux-source-2.6.36_2.6.36-1~experimental.1_all.deb
 f1fc26d9f8b11d72839ca67671ab4e325a031de1a511330d75d954ee27e61740 148348 linux-support-2.6.36-trunk_2.6.36-1~experimental.1_all.deb
 c98b42fc7a1c60a4c8ee66bd53fd9a602e7fc325a76148bd58492f5d0ee8d3fc 137458 firmware-linux-free_2.6.36-1~experimental.1_all.deb
 2461d639d3b6d724152576327e77a3dd7705d11a835c58ae8c313e68b64670a0 156076 linux-base_2.6.36-1~experimental.1_all.deb
 da9171dbd21a7d54e662d84f0fe9bc8d609a4fb2e98f410f8b678e3177de0836 29258308 linux-image-2.6.36-trunk-amd64_2.6.36-1~experimental.1_amd64.deb
 7165d67ee7af31c59ff88a2d90cded06128809189d8f9799d82d82c33d9cf792 404867660 linux-image-2.6.36-trunk-amd64-dbg_2.6.36-1~experimental.1_amd64.deb
 7eda1b30ff0355c8cc863080435b34810bb780fcdee25ad3ae5f3a0425e88378 553282 linux-headers-2.6.36-trunk-amd64_2.6.36-1~experimental.1_amd64.deb
 3d22125aac4051a9cd2df4ba377e072a50330f2fd53d395b8a32807d766ec354 4174410 linux-headers-2.6.36-trunk-common_2.6.36-1~experimental.1_amd64.deb
 11581c6f750228e88cdc8d324f3d49e4bbaf32ef04b053679949f82b054c2059 132802 linux-headers-2.6.36-trunk-all_2.6.36-1~experimental.1_amd64.deb
 36f591869f7400ce66e618a3e0ca8d4e97208d533b3bc86801ffd8bb1987c7b9 132808 linux-headers-2.6.36-trunk-all-amd64_2.6.36-1~experimental.1_amd64.deb
 e7ee105b8a268fbada92c2db51046a3f411a4b8972398d482beee4e1800ca344 862190 linux-libc-dev_2.6.36-1~experimental.1_amd64.deb
 11f4c0a6fd4842c6f4ad0df0ccccd019526efc8e43f56407ced5233c05a60ed5 411908 linux-tools-2.6.36_2.6.36-1~experimental.1_amd64.deb
Files: 
 2022af96b1e6235729382c11eafbfa40 5571 kernel optional linux-2.6_2.6.36-1~experimental.1.dsc
 957b988a29e1001fc5802d59109e32ad 88880578 kernel optional linux-2.6_2.6.36.orig.tar.gz
 166fcd5f06eb45151c615764c9d8a722 1099145 kernel optional linux-2.6_2.6.36-1~experimental.1.diff.gz
 0b05122fd183ae776496e01883bc53e7 6445532 doc optional linux-doc-2.6.36_2.6.36-1~experimental.1_all.deb
 40eaa416c7e083193af119a8b9419379 2859222 doc optional linux-manual-2.6.36_2.6.36-1~experimental.1_all.deb
 b10f0dc21c4932bc79c3cacca177cd03 775128 kernel optional linux-patch-debian-2.6.36_2.6.36-1~experimental.1_all.deb
 c5fd13d6abec79bb81b10774a7344145 70141994 kernel optional linux-source-2.6.36_2.6.36-1~experimental.1_all.deb
 083d9d00b06060c9cb38a521d125e114 148348 devel optional linux-support-2.6.36-trunk_2.6.36-1~experimental.1_all.deb
 d68ee6898fb7d071e5f3f7bb9b73955b 137458 kernel optional firmware-linux-free_2.6.36-1~experimental.1_all.deb
 779d1084801221851a0447201dbe6d80 156076 kernel optional linux-base_2.6.36-1~experimental.1_all.deb
 9faaedebe8340820b1067227aedb94f7 29258308 kernel optional linux-image-2.6.36-trunk-amd64_2.6.36-1~experimental.1_amd64.deb
 e9af9c2a16479009c012e6cd141b49b2 404867660 debug extra linux-image-2.6.36-trunk-amd64-dbg_2.6.36-1~experimental.1_amd64.deb
 24bcb4b85a8c2cca7e0580b62c599557 553282 kernel optional linux-headers-2.6.36-trunk-amd64_2.6.36-1~experimental.1_amd64.deb
 8a8415fee4fe409055279028d02d1164 4174410 kernel optional linux-headers-2.6.36-trunk-common_2.6.36-1~experimental.1_amd64.deb
 0228c10736095d8f26e873677d225a3b 132802 kernel optional linux-headers-2.6.36-trunk-all_2.6.36-1~experimental.1_amd64.deb
 203681a2b8b04c354abc109cab87ac80 132808 kernel optional linux-headers-2.6.36-trunk-all-amd64_2.6.36-1~experimental.1_amd64.deb
 c96b5cdbc0b08e4e8891c99cb58fd32d 862190 devel optional linux-libc-dev_2.6.36-1~experimental.1_amd64.deb
 364b19434e7d05fe02348c4fb9b55184 411908 kernel optional linux-tools-2.6.36_2.6.36-1~experimental.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzIRDIACgkQeW7Lc5tEHqhpOQCcCrn1Jj9LoIIqV70ESn0ggjH4
s0YAoLiAgA1Dk6kgEEAkyhOefp2aD9rR
=/Zii
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 26 Nov 2010 07:33:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 05:47:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.